# $Revision: 1.37 $, $Date: 2002/11/17 00:24:47 $
Summary:	Yet another note-keeper (GNOME)
Summary(pl):	Jeszcze jeden notatnik
Name:		yank
Version:	0.2.1
Release:	6
License:	GPL
Group:		X11/Applications
Source0:	http://download.sourceforge.net/yank/%{name}-%{version}.tar.bz2
Source1:	%{name}.png
Patch0:		%{name}-gconf_install.patch
Patch1:		%{name}-gtkspell_menu.patch
Patch2:		%{name}-build_spell_pligin_conditionaly.patch
Patch3:		%{name}-desktop.patch
URL:		http://yank.sourceforge.net/
BuildRequires:	GConf-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	freetype-devel >= 2.0.0
BuildRequires:	gal-devel >= 0.19
BuildRequires:	gdk-pixbuf-gnome-devel
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	gnome-print-devel >= 0.28
BuildRequires:	gtk+-devel
BuildRequires:	libglade-gnome-devel
BuildRequires:	libtool
BuildRequires:	libxml-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_sysconfdir	/etc/X11/GNOME

%description
Yank is a simple notekeer and todo-list manager using the gnome and
gtk libraries. It feels stable and usable enough to be released to the
public but it surely lacks some (not so important) features which
might be added later. Excessive tests have shown that yank is
fool-proof, irritating and wasting too much memory.

%description -l pl
Yank jest prostym notatnikiem i menaderem listy rzeczy do zrobienia,
uywajcym bibliotek GNOME i gtk+.

%package gpg
Summary:	GPG plugin
Summary(pl):	Wtyczka GPG.
Group:		X11/Applications
Requires:	%{name} = %{version}

%description gpg
GPG plugin.

%description gpg -l pl
Wtyczka GPG.

%package pgp5
Summary:	PGP5 plugin
Summary(pl):	Wtyczka PGP5.
Group:		X11/Applications
Requires:	%{name} = %{version}

%description pgp5
PGP5 plugin.

%description pgp5 -l pl
Wtyczka PGP5.

%package gtkspell
Summary:	Spellchecker plugin
Summary(pl):	Wtyczka sprawdzajca pisowni.
Group:		X11/Applications
Requires:	%{name} = %{version}

%description gtkspell
Spellchecker plugin.

%description gtkspell -l pl
Wtyczka sprawdzajca pisowni.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

install %{SOURCE1} pixmaps

%build
rm -f aux/missing
%{__libtoolize}
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__automake}

CFLAGS="%{rpmcflags}"
%configure \
	--enable-spell-plugin \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/gconf

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Applicationsdir=%{_applnkdir}/Office/PIMs

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/yank
%dir %{_libdir}/yank/plugins/%{version}
%dir %{_libdir}/yank/plugins
%dir %{_libdir}/yank
%{_sysconfdir}/gconf/gconf.xml.defaults/apps/yank
%{_sysconfdir}/gconf/gconf.xml.defaults/schemas/apps/yank
%{_pixmapsdir}/yank.png
%{_applnkdir}/Office/PIMs/yank.desktop

%files gpg
%defattr(644,root,root,755)
%{_libdir}/%{name}/plugins/%{version}/libGpg*

%files pgp5
%defattr(644,root,root,755)
%{_libdir}/%{name}/plugins/%{version}/libPgp5*

%files gtkspell
%defattr(644,root,root,755)
%{_libdir}/%{name}/plugins/%{version}/libGtkSpell*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: yank.spec,v $
Revision 1.37  2002/11/17 00:24:47  kloczek
- typo.

Revision 1.36  2002/11/17 00:04:19  kloczek
- release 6: added png Icon (based on logo from home page) to desktop.

Revision 1.35  2002/09/29 17:03:37  kloczek
- release 5.

Revision 1.34  2002/08/06 13:04:54  qboosh
- BR: gdk-pixbuf-gnome-devel, libglade-gnome-devel

Revision 1.33  2002/06/28 15:39:42  kloczek
- release 4.

Revision 1.32  2002/06/23 20:52:54  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.31  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.30  2002/06/17 10:56:55  trojan
- fixed %%files
NOTE: still segfault when Settings/Preferences are choosen

Revision 1.29  2002/06/05 18:37:41  kloczek
- release 3: use new %doc.

Revision 1.28  2002/05/21 23:15:09  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.27  2002/05/19 00:15:56  qboosh
- added ">= 2.0.0" to BR: freetype-devel; sorted/cleaned BRs where necessary

Revision 1.26  2002/03/24 23:28:28  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.25  2002/02/22 23:30:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.24  2002/01/18 02:15:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.23  2002/01/13 14:07:40  kloczek
- release 2: rebuild against gal 0.19.

Revision 1.22  2001/12/04 10:29:56  kloczek
- much better solution for spell pligin: add build_spell_pligin_conditionaly
  patch which allow choose in configure cmdl by --{enable,disable}-spell-plugin
  is spell plugin must be build or not.

Revision 1.21  2001/12/04 09:07:53  kloczek
- removed ispell from BuildRequires: autoconf is looking for ispell/aspell
  but found ispell/aspell isn't completly used in yank code.

Revision 1.20  2001/11/27 17:49:29  mkochano
- Release 1.
- Updated to 0.2.1.
- Fixed source URI.
- Sorted and complete BuildRequires.
- Added subpackages with plugins (gpg, pgp5 and gtkspell).
- Removed obsolete plugin_dir patch.
- Added gconf_install patch (I'm not sure if it is OK).
- Added gtkspell_menu patch which fixes SEGV when displaying menu with
  "Other Possibilities".
NOTE: I don't know how gconf works and it is possible that installation
of gconf files is screwed.

Revision 1.19  2001/10/10 13:53:40  qboosh
- pl description, BuildRequires: autoconf,automake,libtool

Revision 1.18  2001/09/28 13:20:57  blues
- release 4
- make libtool happy

Revision 1.17  2001/04/23 16:41:33  kloczek
- release 3: rebuild against gnome-print 0.28.

Revision 1.16  2001/03/03 13:59:18  kloczek
- release 2: rebuild on new gnome-libs linked with audiofile 0.2.1.

Revision 1.15  2001/02/10 08:31:49  kloczek
- updated to 0.2.0,
- added plugun_dir patch which changes plugin dir to %%{_libdir}/yank.

Revision 1.14  2001/02/02 17:50:35  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.13  2000/10/04 02:19:40  kloczek
- fix: build againsr gnome-print >= 0.20.

Revision 1.12  2000/10/04 01:25:48  kloczek
- release 3: rebuild against gnome-print >= 0.17.

Revision 1.11  2000/10/02 16:42:31  kloczek
- release 2,
- added gnome-libs-devel and gnome-print-devel to BuildRequires rules.

Revision 1.10  2000/09/26 08:54:00  kloczek
- updated to 0.1.5.

Revision 1.9  2000/07/28 10:16:39  kloczek
- updated to 0.1.4.

Revision 1.8  2000/06/09 07:55:17  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:24:23  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/06/03 08:08:04  kloczek
- spec adapterized.

Revision 1.5  2000/06/01 20:10:31  michuz
- release 2
- %%applnkdir changed

Revision 1.4  2000/05/16 00:00:54  kloczek
- new Source url and URL.

Revision 1.3  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/30 02:52:47  kloczek
- completly rewrited in PLD style.

* Tue Mar 28 2000 Thomas Schultz <tststs@gmx.de>
- First release of .spec file
